import AnimationStyleProperties from '../entities/QAnimationStyleProperties';
import KeyframeAnimationPattern from '../entities/QKeyframeAnimationPattern';
export interface BounceAnimationStyleProperties {
    opacity: number;
    translation: string;
    offset: number;
}
export interface BounceAnimationParams {
    duration?: number;
    includeVoidTransitions?: boolean;
    animationStyleProperties?: Array<BounceAnimationStyleProperties>;
}
declare abstract class AbstractBounceAnimationPattern extends KeyframeAnimationPattern {
    triggerName: string;
    isVertical: boolean;
    duration: number;
    includeVoidTransitions: boolean;
    animationStyleProperties: Array<AnimationStyleProperties>;
    constructor(triggerName: string, isVertical?: boolean, duration?: number, includeVoidTransitions?: boolean, animationStyleProperties?: Array<AnimationStyleProperties>);
    static getTranslation(isVertical: boolean): string;
    static convertStylePropertiesToBounceProperties(params: BounceAnimationParams, isVertical: boolean): Array<AnimationStyleProperties>;
}
export default AbstractBounceAnimationPattern;
